Gentoo Archives: gentoo-user

From: Dale <rdalek1967@×××××.com>
To: gentoo-user@l.g.o
Subject: Re: [gentoo-user] dev-lang/ruby and dev-ruby/xmlrpc-0.3.0[ruby_targets_ruby25] error
Date: Mon, 22 Jul 2019 20:47:56
Message-Id: 362463a5-a9d7-e70a-f1ae-8ecf75a723f2@gmail.com
In Reply to: Re: [gentoo-user] dev-lang/ruby and dev-ruby/xmlrpc-0.3.0[ruby_targets_ruby25] error by Neil Bothwick
1 Neil Bothwick wrote:
2 > On Mon, 22 Jul 2019 14:37:23 -0500, Dale wrote:
3 >
4 >> I was hoping updating the other packages might change something or help
5 >> emerge figure out a new path but it doesn't appear to have helped.  Once
6 >> again, I removed everything I thought ruby related from /etc/portage. 
7 >> Emerge wanted some added back but I still end up back with that error. 
8 > What is RUBY_TARGETS set to?
9 >
10 > emerge --info | grep RUBY_TARGETS
11 >
12 >
13
14
15 This is the ruby related parts. 
16
17 RUBY_TARGETS="ruby24 ruby25" 
18
19 USE_EXPAND="ABI_MIPS ABI_PPC ABI_RISCV ABI_S390 ABI_X86 ALSA_CARDS
20 APACHE2_MODULES APACHE2_MPMS CALLIGRA_FEATURES CAMERAS COLLECTD_PLUGINS
21 CPU_FLAGS_ARM CPU_FLAGS_X86 CURL_SSL ELIBC ENLIGHTENMENT_MODULES FFTOOLS
22 GPSD_PROTOCOLS GRUB_PLATFORMS INPUT_DEVICES KERNEL L10N LCD_DEVICES
23 LIBREOFFICE_EXTENSIONS LIRC_DEVICES LLVM_TARGETS MONKEYD_PLUGINS
24 NETBEANS_MODULES NGINX_MODULES_HTTP NGINX_MODULES_MAIL
25 NGINX_MODULES_STREAM OFED_DRIVERS OFFICE_IMPLEMENTATION OPENMPI_FABRICS
26 OPENMPI_OFED_FEATURES OPENMPI_RM PHP_TARGETS POSTGRES_TARGETS
27 PYTHON_SINGLE_TARGET PYTHON_TARGETS QEMU_SOFTMMU_TARGETS
28 QEMU_USER_TARGETS ROS_MESSAGES RUBY_TARGETS SANE_BACKENDS USERLAND
29 UWSGI_PLUGINS VIDEO_CARDS VOICEMAIL_STORAGE XFCE_PLUGINS XTABLES_ADDONS"
30
31
32 I tried adding a line in make.conf to force ruby25 but it still shows up
33 as disabled in the emerge output so I commented out my entries.  It
34 seems to be hard disabled somewhere.  Maybe the ebuild itself.  I
35 dunno.  This is confusing. 
36
37 Ideas?
38
39 Dale
40
41 :-)  :-)